Bug 165890 - Template oddities with OOo Impress
Template oddities with OOo Impress
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-08-13 13:29 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-23 08:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screen-shot (60.59 KB, image/png)
2005-08-15 04:23 EDT, Caolan McNamara
no flags Details
Diff file as requested (218.85 KB, text/x-patch)
2005-08-15 08:26 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2005-08-13 13:29:05 EDT
Description of problem:
All of the templates are not available when I use the presentation wizard.
However, if I place a template in ~/.openoffice.org2.0/user/template they
inbuilt ones and the one in the user directory appears. However, user created
templates do not propogate on the slide (i.e. use it on slide 1, it's not there
on slide 2)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start the OOo presentation wizard without any templates in the
.openoffice.org-2.0/user/tempate directory

1. Create a new template and save as a template in the
.openoffice.org-2.0/user/template directory
2. Create a presentation using it
Actual results:
Case 1 - none of the OOo inbuilt templates appear (the initial dropdown box is

Case 2 - all templates appear, but the user created template only lasts for 1 slide

Expected results:
All inbuilt templates should be available and user created templates should
propogate to all slides.

Additional info:
Comment 1 Caolan McNamara 2005-08-15 04:23:18 EDT
Created attachment 117730 [details]

So for 1, lets be sure. This is what I get, i.e. the two default template
entries. You have no templates listed here ? Have you done any customization ?
i.e. mv ~/.openoffice.org2.0 tempoffice and run ooimpress
Comment 2 Paul F. Johnson 2005-08-15 05:34:42 EDT
If I move .oo.o2.0 as you've said, I get the the two default templates. What is
odd though is that I've never altered anything in Impress other than "don't show
pointer during presentation". No other settings have been touched.

I recall a good few versions back that this happened and the next version fixed
it, but I can't for the life of me remember what it was!
Comment 3 Caolan McNamara 2005-08-15 06:45:46 EDT
if you could
diff -ru ~/.openoffice.org2.0 backupdirectory > /tmp/config.diff
and attach that /tmp/config.diff output here it might show what the config entry

In another issue you mentioned moving home directories from one machine to
another, that kind of thing might have affects like this.
Comment 4 Paul F. Johnson 2005-08-15 08:26:02 EDT
Created attachment 117741 [details]
Diff file as requested

I'll attach another diff from the laptop (the laptop exhibits the problem with
templates which don't propogate down) at some point today to further help.
Comment 5 Caolan McNamara 2005-08-23 07:42:40 EDT
is this a dup of the other template issues, resolved with using
templates->commands->update ?
Comment 6 Paul F. Johnson 2005-08-23 08:31:58 EDT
Same sort of problem, though not the same. It's fixed anyway.

Note You need to log in before you can comment on or make changes to this bug.